Bug 242120 - drm module don't work with 855GM chipset (xorg driver i915)
drm module don't work with 855GM chipset (xorg driver i915)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-06-01 16:19 EDT by Adrien Bustany
Modified: 2008-01-08 19:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-08 19:44:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrien Bustany 2007-06-01 16:19:17 EDT
Description of problem:
Drm module i915 in /lib/modules/<kernel version>/kernel/drivers/char/drm does
not work with kernel 2.6.21-1.3194.fc7

Version-Release number of selected component (if applicable):
kernel 2.6.21-1.3194.fc7

How reproducible:
install fedora 7 on a box using an intel 855GM chipset (driver i915), try to
launch glxgears : you'll get a drmmap error
Actual results:
dri does not work

Expected results:
dri should work :)

Additional info:
SOLUTION : checkout mesa/drm from the freedesktop git, go in the linux-core dir,
make and copy the .ko files in the right dir (drivers/char/drm/), reboot.
Comment 1 Christopher Brown 2007-09-13 15:26:37 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem has gone away then please close this bug or I'll do so in a few
days if there is no additional information lodged.

Comment 2 Adrien Bustany 2007-09-13 16:05:42 EDT
Well, I don't have the problem anymore, so we could close it.

Note You need to log in before you can comment on or make changes to this bug.